<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:14 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.metabolic.efm.rankup.RankUpRoot
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.metabolic.efm.rankup.RankUpRoot";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/rankup/class-use/RankUpRoot.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RankUpRoot.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.metabolic.efm.rankup.RankUpRoot</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank</B></A></TD>
<TD>The <tt>adj.incore.tree.urank</tt> package contains classes using the trees for 
the recursive enumeration of adjacent rays, using the <i>lazy rank updating</i>
approach to test for adjacency.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.dbl2</tt> uses double precision arithmetic for the
rank updating procedure, without copying of partly triangularized matrices&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.dbl</tt> uses double precision arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.frac</tt> uses fractional arithmetic for the
rank updating procedure, without copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.frac2</tt> uses fractional arithmetic for the
rank updating procedure, with copying of partly triangularized matrices.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp"><B>ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</B></A></TD>
<TD>The <tt>adj.incore.tree.urank.modp</tt> uses long integer residue arithmetic 
for the rank updating procedure.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.borndie.model"><B>ch.javasoft.metabolic.efm.borndie.model</B></A></TD>
<TD>The <tt>efm.borndie.model</tt> package contains an extension of the
<A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace"><CODE>nullspace model</CODE></A>
specialized for the born/die algorithm.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model"><B>ch.javasoft.metabolic.efm.model</B></A></TD>
<TD>The <tt>model</tt> package and subpackages defines interfaces and provides
default classes for the support of different algorithm variants.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model.canonical"><B>ch.javasoft.metabolic.efm.model.canonical</B></A></TD>
<TD>The <tt>model.canonical</tt> subpackage implements the canonical approach, the 
original method to compute elementary modes introduced by Schuster <i>et al.</i>
(see [1], for an overview and implementation details also [2], [3]).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.model.nullspace"><B>ch.javasoft.metabolic.efm.model.nullspace</B></A></TD>
<TD>The <tt>model.nullspace</tt> subpackage implements the nullspace approach
introduced by Wagner (see [1], for an overview and implementation details also
[2], [3]).&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.rankup"><B>ch.javasoft.metabolic.efm.rankup</B></A></TD>
<TD>The <tt>rankup</tt> package and subpackages contain classes and interfaces 
implementing the <i>lazy rank updating</i> method to enumerate adjacent modes.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.rankup.modpi"><B>ch.javasoft.metabolic.efm.rankup.modpi</B></A></TD>
<TD>The <tt>rankup.modpi</tt> package contains classes implementing the 
<i>lazy rank updating</i> method to enumerate adjacent modes using residue 
arithmetic, modulo a large 32bit integer prime number, typically 
<tt>32,749</tt>, the largest prime below <tt>&radic;(Integer.MAX_VALUE/2)</tt>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">RankUpdateRoot</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <tt>RankUpdateRoot</tt> uses rank updating to test adjacency.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/SearchAndRankUpdateRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">SearchAndRankUpdateRoot</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <tt>SearchAndRankdUpdateRoot</tt> performs a combinatorial search with
 pos and neg tree, and rank updating for candidates passing that test.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>DoublePreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl/DoublePreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.dbl2</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>Double2PreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/dbl2/Double2PreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>FractionalPreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac/FractionalPreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac2/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.frac2</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>Fractional2PreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/frac2/Fractional2PreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/modp/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/modp/package-summary.html">ch.javasoft.metabolic.efm.adj.incore.tree.urank.modp</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ModPrimePreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/modp/ModPrimePreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.borndie.model"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/package-summary.html">ch.javasoft.metabolic.efm.borndie.model</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/package-summary.html">ch.javasoft.metabolic.efm.borndie.model</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/borndie/model/BornDieEfmModel.html" title="class in ch.javasoft.metabolic.efm.borndie.model">BornDieEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Model for born/die implementation, based on nullspace approach.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/package-summary.html">ch.javasoft.metabolic.efm.model</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/package-summary.html">ch.javasoft.metabolic.efm.model</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">EfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>EfmModel</code> contains information needed throughout the efm
 computation, such as stoichiometric matrix, configuration etc.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model">NetworkEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>NetworkEfmModel</code> is a common extension of the efm model with
 access to the metabolic network.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/package-summary.html">ch.javasoft.metabolic.efm.model</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/AbstractNetworkEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">AbstractNetworkEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Abstract default implementation of the <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/NetworkEfmModel.html" title="interface in ch.javasoft.metabolic.efm.model"><CODE>NetworkEfmModel</CODE></A>, usually 
 suitable for most subclass implementations.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/DefaultEfmModel.html" title="class in ch.javasoft.metabolic.efm.model">DefaultEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Default implementation of most <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/EfmModel.html" title="interface in ch.javasoft.metabolic.efm.model"><CODE>efm models</CODE></A>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model.canonical"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/canonical/package-summary.html">ch.javasoft.metabolic.efm.model.canonical</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/canonical/package-summary.html">ch.javasoft.metabolic.efm.model.canonical</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/canonical/CanonicalEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.canonical">CanonicalEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Model for canonical implementations</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.model.nullspace"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/package-summary.html">ch.javasoft.metabolic.efm.model.nullspace</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/package-summary.html">ch.javasoft.metabolic.efm.model.nullspace</A> that implement <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/model/nullspace/NullspaceEfmModel.html" title="class in ch.javasoft.metabolic.efm.model.nullspace">NullspaceEfmModel</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Model for nullspace implementations</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.rankup"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/package-summary.html">ch.javasoft.metabolic.efm.rankup</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/package-summary.html">ch.javasoft.metabolic.efm.rankup</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>PreprocessableMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.concurrent.RankUpdateToken, ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.metabolic.efm.rankup.PreprocessedMatrixFactory, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&nbsp;token,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrixFactory</A>&nbsp;fac,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>PreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.rankup.modpi"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A> in <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/package-summary.html">ch.javasoft.metabolic.efm.rankup.modpi</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/package-summary.html">ch.javasoft.metabolic.efm.rankup.modpi</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>ModIntPrimePreprocessedMatrix.</B><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#hasRequiredRank(ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.bitset.IBitSet)">hasRequiredRank</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                               <A HREF="../../../../../../ch/javasoft/bitset/IBitSet.html" title="interface in ch.javasoft.bitset">IBitSet</A>&nbsp;intersectionSet)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/package-summary.html">ch.javasoft.metabolic.efm.rankup.modpi</A> with parameters of type <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimeMatrixFactory.html#ModIntPrimeMatrixFactory(ch.javasoft.metabolic.efm.rankup.RankUpRoot)">ModIntPrimeMatrixFactory</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor with rank update root, which is for instance used to access 
 the stoichiometric matrix or to store intermediate partly triangularized
 matrices for any recursion depth.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot)">ModIntPrimePreprocessedMatrix</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for root matrix (has no parent)</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html#ModIntPrimePreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.rankup.RankUpRoot, ch.javasoft.metabolic.efm.rankup.modpi.ModIntPrimePreprocessedMatrix)">ModIntPrimePreprocessedMatrix</A></B>(<A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup">RankUpRoot</A>&nbsp;root,
                                                           <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimePreprocessedMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimePreprocessedMatrix</A>&nbsp;parentProcessed)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Constructor for child matrix (has parent)</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?ch/javasoft/metabolic/efm/rankup/class-use/RankUpRoot.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="RankUpRoot.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
